diff --git a/debian/changelog b/debian/changelog
index a515824..7197db7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+fabric (1.4.2-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Fix paramiko incompatiblity with python-ssh (Closes: #677479)
+
+ -- Emmanuel Bouthenot <kolter@debian.org>  Thu, 21 Jun 2012 12:05:36 +0000
+
 fabric (1.4.2-1) unstable; urgency=low
 
   * New upstream release.
diff --git a/debian/patches/01-paramiko.diff b/debian/patches/01-paramiko.diff
index 025dc57..c0e8293 100644
--- a/debian/patches/01-paramiko.diff
+++ b/debian/patches/01-paramiko.diff
@@ -1,22 +1,19 @@
-diff --git a/fabric/network.py b/fabric/network.py
-index eb8cfb3..630c90b 100644
---- a/fabric/network.py	2012-06-13 16:26:39.000000000 +0100
-+++ b/fabric/network.py	2012-06-13 16:26:45.000000000 +0100
-@@ -21,7 +21,7 @@
+--- a/fabric/network.py
++++ b/fabric/network.py
+@@ -21,7 +21,9 @@
  try:
      import warnings
      warnings.simplefilter('ignore', DeprecationWarning)
 -    import ssh
 +    import paramiko as ssh
++    # python-ssh compatibility
++    ssh.io_sleep = 0.01
  except ImportError, e:
      import traceback
      traceback.print_exc()
- 
-diff --git a/setup.py b/setup.py
-index af10e2f..5630fd4 100644
 --- a/setup.py
 +++ b/setup.py
-@@ -38,7 +38,6 @@ setup(
+@@ -38,7 +38,6 @@
      packages=find_packages(),
      test_suite='nose.collector',
      tests_require=['nose', 'fudge<1.0'],
diff --git a/debian/patches/series b/debian/patches/series
index be9afbf..b7a1b86 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,2 +1,2 @@
-01-paramiko.diff -p1
+01-paramiko.diff
 02-no-upstream-tags-when-building.diff -p1
